<?php
namespace SabaiApps\Directories\Component\View\Mode;

use SabaiApps\Directories\Component\Entity\Model\Bundle;
use SabaiApps\Directories\Component\Entity\Type\Query;
use SabaiApps\Directories\Request;

interface IMode {

	public function viewModeInfo( $key = null );
	public function viewModeSupports( Bundle $bundle );
	public function viewModeSettingsForm( Bundle $bundle, array $settings, array $parents = array() );
	public function viewModeOnInitSettings( Bundle $bundle, array &$viewSettings, Request $request );
	public function viewModeNav( Bundle $bundle, array $settings );
	public function viewModeAssets( Bundle $bundle, array $settings );
	public function viewModeOnQuery( Bundle $bundle, Query $query, array $settings );
}
